type: object
properties:
  roles:
    type: array
    items:
      description: roles
      allOf:
        - $ref: ../role/properties.yml
        - properties:
            permissions:
              type: array
              items:
                allOf:
                  - $ref: ../permission/properties.yml
  employee:
    allOf:
      -  $ref: ../employee/properties.yml
  driver:
    allOf:
      - $ref: ../driver/properties.yml
      - properties:
          transportCompany:
            allOf:
              - $ref: ../transport-company/properties.yml
  customer:
    allOf:
      -  $ref: ../customer/properties.yml
